Public Support - Support Request #11198

ADTF Launcher does not resolve ADTF_PROJECT DIR
2020-05-11 09:36 - hidden

Status: Closed

Priority: Normal

Category:

Customer: AUDI Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-10523

Department: EF Affected Products: ADTF 3.7.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 3rd Level Topic: ADTF::CE

Resolution: Product Issue Opened FAQ Links:

Description

Supportanfrage

Ich habe in meinem Configuration Editor Gber "Options" einen Plugin-Pfad hinzugefugt. Der Plugin-Pfad liegt in meinem
Projektordner. Der CE tragt diesen Pfad als Variable in meine "default_system.adtfsystem" ein:

<plugin>
<url>$ (ADTF_PROJECT_DIR) /bin/my_component.adtfplugin</url>

</plugin>
Beim Launchen Gber das CE-Men( scheint aber ganz woanders gesucht zu werden:

Could not load plugin '<Patch_to_adtfsystem>/bin/my_component.adtfplugin’: File or dependencies not found
Wieso wird "ADTF_PROJECT_DIR" beim Launchen anders interpretiert? In der SDK-Doku scheint dieses Makro noch nicht unter
"Table of predefined Global Macros" gelistet zu sein. Wohin soll diese Variable Ublicherweise zeigen? Gilt diese Variable nur fir den
CE?

Supportanfrage

NUR der CE kennt und verwendet ADTF_PROJECT_DIR, denn nur dort gibt es ein ADTF Project.
Der Launcher bzw. Session Manager kennt nur folgende Default Macros:

e https://support.digitalwerk.net/adtf/v3/adtf _html/page adtf macros.html

Beim Launch ist das dann natdrlich nicht bekannt und dirfte eigentlich nicht verwendet werden bei Eintrdgen im System File.
Deshalb hangt er /bin/my_component.adtfplugin an das aktuelle Verzeichnis relativ an, was das System File ist.

Den einzigen Workaround den ich dir aktuell anbieten kann, eigene Variablen relativ zum Session File anzulegen, z.B.:
workaround_env_variables.png

Denn so sollte eigentlich aufgeldst werden.

Das musst du aber bei jeder Session dann nattrlich aktuell definieren leider.

Aber immerhin bist du dann laufféhig.

Fur einen offiziellen Fix habe ich ACORE-10523 erstellt

History

#1 - 2020-05-11 12:04 - hidden
- Status changed from New to Customer Feedback Required

- Topic set to ADTF::CE

Hi Patrick,

ist das wirklich mit 3.7.0 passiert ? Also ich meine hat der CE $(ADTF_PROJECT_DIR) eingetragen ?
https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf_macros.html

oder ist das noch eine alte Config ?

Hintergrund:

NUR der CE kennt und verwendet ADTF_PROJECT_DIR, denn nur dort gibt es ein Projekt.
Der Launcher bzw. Session Manager kennt nur folgende Default Macros:

e https://support.digitalwerk.net/adtf/v3/adtf _html/page adtf macros.html

Beim Launch ist das dann naturlich nicht bekannt und dirfte eigentlich nicht verwendet werden bei Eintragen im System File.

Deshalb hangt er /bin/navsys_quality_display.adtfplugin an das aktuelle verzeichnis relativ an, was das System File ist.
Das wurde defintiv schon in einer 3.6.x gefixt und sollte somit nicht vorkommen.

kannst du das nochmal verfizieren ?

#2 - 2020-05-11 12:27 - hidden

Ja, es war nur das brandneue ADTF 3.7 im Spiel. Ich habe es nochmal ganz simpel reproduziert:

1. Neue Config erzeugen "New Project"

2. Plugins in den neu erzeugten Projektordner kopieren

3. Unter Options diesen Ordner als Plugin-Quelle hinzufligen

4. Eines der nun verfugbaren Plugins in den Graphen ziehen

5. Save

6. "default_system.adtfsystem" enthalt relative Pfade zu "ADTF_PROJECT_DIR".

<plugin>
<url>$ (ADTF_PROJECT_DIR) /bin/navsysadapter_adma_udp.adtfplugin</url>
</plugin>

#3 - 2020-05-11 12:32 - hidden
- File ADTF-Version.JPG added

Nachtrag: Screenshot Version-Dialog im Anhang.

#4 - 2020-05-11 13:04 - hidden

- File workaround_env_variables.png added

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10523
- Support Level changed from 2nd Level to 3rd Level

Hi Patrick,

alles gut (oder auch nicht), bin nun am Platz und kann es reproduzieren.
Da ist irgendwas beim Mergen wohl wieder reingekommen...

Den einzigen Workaround den ich dir aktuell anbieten kann, eigene Variablen relativ zum Session File anzulegen, z.B.:
workaround_env_variables.png

Denn so sollte eigentlich aufgeldst werden.

Das musst du aber bei jeder Session dann natiirlich aktuell definieren leider.

Aber immerhin bist du dann lauffahig.

Fur einen offiziellen Fix habe ich ACORE-10523 erstellt

#5 - 2020-05-11 13:16 - hidden
Ich habe nun "ADTF_PROJECT_DIR" so gesetzt. Das scheint zu funktionieren. Danke!

Ticket kann geschlossen werden.

#6 - 2020-05-11 15:18 - hidden

- Project changed from 11 to Public Support

- Subject changed from Pfad-Variable ADTF_PROJECT_DIR to ADTF Launcher does not resolve ADTF_PROJECT_DIR
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No
https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf_macros.html

Hallo Patrick,

Ich habe nun "ADTF_PROJECT_DIR" so gesetzt. Das scheint zu funktionieren. Danke!

So gehts natirlich, damit machst du die CE interne Variable den Launcher bekannt.

Ich entferne noch ein paar (mdgliche) sensible Daten und mach das Ticket &ffentlich, kénnte sein, dass wir das nochmal referenzieren miissen wenn
andere Anwender ahnliches vorhaben.

#9 - 2020-07-07 12:50 - hidden
- Status changed from To Be Closed to Closed
